Welcome

Welcome to the Advanced Scheduler for IDA help system

Advanced Scheduler is a plug-in for Internet Download Accelerator intended for those who are not satisfied with capabilities provided by the standard IDA scheduler. The plug-in enables you to create unlimited number of tasks and helps you solve various problems.

Task types:

  • start/stop scheduled downloads;
  • start/stop all downloads;
  • start/stop downloads from specified categories;
  • change download speed;
  • change number of simultaneous downloads;
  • start any program with parameters;
  • connect/disconnect a specified connection, disconnect all connections;
  • shutdown the computer, switch to stand-by mode, switch to sleep mode, and quit the program.

Tasks can be executed:

  • once;
  • daily;
  • on specified days of the week;
  • on specified days of the month;
  • periodically (at the specified interval);
  • on the program start;
  • on connection;
  • after completing all downloads.

To get more information and download the latest versions of the plug-in, please visit http://www.westbyte.com/ida

Copyright (c) 2006 WestByte
info@westbyte.com
http://www.westbyte.com/ida


Tasks window

Task list and task execution log.

Scheduler tasks
The list of scheduler tasks.

N – State (enabled/disabled) and the ordinal number of a task;
Task – A short description of a task;
Start – When a task is executed;
Time of next start – Time when the task is to be executed next time;
Time of last start – Time when the task was last executed.

Labeling with colors improves readability of the list:
Green is used for tasks to be executed today;
Orange is used for tasks be executed later;
Blue is used for already executed tasks that will not be executed in the future;
Grey is used for disabled tasks;

Buttons: Add, Change, Delete, Up, Down – enable you to carry out the corresponding actions on tasks in the list. The same actions can be chosen from the context menu (click with the right mouse button on a task from the list). Besides, you can start a task immediately by clicking the Execute menu item in the context menu.

Task execution log
The list of tasks executed by the scheduler.

By using the context menu you can copy the log contents into the clipboard and clear the log entirely or partially.

Show advanced scheduler instead of standard when the button on the toolbar is clicked
If the flag is set, then clicking the corresponding toolbar button will show Advanced Scheduler window.


Tasks

Add/Change a task.

What to execute
The list of available actions that can be executed by the scheduler.

When to do
Available scheduler time schemes.

Confirmation

Ask confirmation before execution
If the flag is checked then IDA will ask confirmation before performing a scheduled task.

Time-out (sec.)
Time to wait for confirmation.


Version history

Version 1.0.1.23 - February 20th, 2006
Added ability to control the number of simultaneous downloads.

Version 0.2.1.15 - February 9th, 2006
The first public release of the Advanced Scheduler plug-in.


License

Terms of use

Advanced Scheduler for Internet download Accelerator ("SOFTWARE PRODUCT") is freeware and is distributed AS IS. You are allowed to use the plug-in without any limitations provided that you inform the developers of noticed bugs.

The developers are constantly working at plug-in improvement, try to make it more convenient and efficient. This would be impossible without your assistance.

The computer software, artwork and other components included in this version of SOFTWARE PRODUCT are the exclusive copyrighted property of WestByte. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions.

You must not: (a) sell, rent, lease or sublicense all or any portion of the SOFTWARE PRODUCT; (b) modify or prepare derivative works of the SOFTWARE PRODUCT; (c) reverse engineer, decompile or disassemble the Software; (d) publish serial keys or key generation algorithms.

This SOFTWARE PRODUCT may be freely distributed, provided that: (a) such distribution includes only the original archive supplied by WestByte, you may not alter, delete or add any files in the distribution archive; (b) no money is charged to the person receiving the software, beyond reasonable cost of packaging and other overhead.

The developers are not responsible for any damage of hardware or software caused by use of the program.

The installation and the usage of the SOFTWARE PRODUCT mean the acceptance of these terms and conditions of the license.

If you do not agree with the terms of this license you must stop the usage of the Software and uninstall it.

Official Internet Download Accelerator web site: http://www.westbyte.com/ida
E-mail: ida@westbyte.com

To get more information about the program or to offer cooperation contact WestByte:
WWW: http://www.westbyte.com
E-mail: info@westbyte.com

Copyright (c) 2006 WestByte
info@westbyte.com
http://www.westbyte.com/ida


Contacts

Contact Information

Advanced Scheduler for Internet Download Accelerator
Copyright (c) 2006 WestByte

Internet Download Accelerator
Copyright (c) 2002-2006 WestByte

All program users are provided with technical support. We will answer all your questions, consider your requests and try to fix all noticed bugs.

You can find the last version of the plugin and a lot of useful information on the official web site of the program: http://www.westbyte.com/ida/
E-mail: ida@westbyte.com

WestByte site: http://www.westbyte.com
E-mail: info@westbyte.com

The people who created Internet Download Accelerator:
Vjacheslav Viter (slava@westbyte.com) - project development, and programming;
Ruslan Voloshyn (ruslan@westbyte.com) - design.

Thanks to all those who tested the program, reports bugs, and gives suggestions on improving the program.